> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List blocked users

> List blocked users

**Permission Required:** `users:read`



## OpenAPI

````yaml https://api.ofauth.com/openapi.json get /v2/access/users/blocked
openapi: 3.1.0
info:
  title: OFAuth API
  version: 1.0.0
  description: >-
    OFAuth API including Account, Connections, Link, Access, Dynamic Rules,
    Vault+, and Realtime webhook contracts
  contact:
    email: support@ofauth.com
    url: https://ofauth.com/
servers:
  - url: https://api.ofauth.com
security:
  - ApiKey: []
tags:
  - name: Account
    description: Account management endpoints.
  - name: Connections
    description: Connection management endpoints.
  - name: Link
    description: Link authentication and session endpoints.
  - name: Access
    description: All Access related endpoints.
  - name: Analytics
    description: 'Access: charts, tops, and performance metrics.'
  - name: Earnings
    description: 'Access: earnings charts, transactions, and chargebacks.'
  - name: Messages
    description: 'Access: messaging, chats, queue, and mass messaging.'
  - name: Posts
    description: 'Access: create, edit, list, and manage posts.'
  - name: Promotions
    description: 'Access: promotions, trials, and bundles.'
  - name: Users
    description: 'Access: user profiles, subscriptions, and actions.'
  - name: Vault
    description: 'Access: vault folders, media, and management.'
  - name: Upload
    description: 'Access: media upload and processing.'
  - name: Self
    description: 'Access: authenticated account details and settings.'
  - name: Stories
    description: 'Access: stories listing and management.'
  - name: Subscriptions
    description: 'Access: subscription offers, discounts, and management.'
  - name: Realtime
    description: >-
      Realtime webhook delivery contracts, including relayed OnlyFans websocket
      events.
  - name: Dynamic Rules
    description: Dynamic signing rules operations.
  - name: Vault+
    description: Vault+ caching and management.
externalDocs:
  description: OFAuth Developer Documentation
  url: https://docs.ofauth.com
paths:
  /v2/access/users/blocked:
    get:
      tags:
        - Users
      summary: List blocked users
      description: |-
        List blocked users

        **Permission Required:** `users:read`
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 20
            default: 10
            description: 'Number of items to return (1-20, default: 10)'
          required: false
          description: 'Number of items to return (1-20, default: 10)'
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
            default: 0
            description: 'Number of items to skip (default: 0)'
          required: false
          description: 'Number of items to skip (default: 0)'
          name: offset
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  list:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        username:
                          type: string
                        name:
                          type: string
                        isVerified:
                          type: boolean
                        avatar:
                          type: string
                          nullable: true
                        avatarThumbs:
                          type: object
                          nullable: true
                          properties:
                            c50:
                              type: string
                            c144:
                              type: string
                          required:
                            - c50
                            - c144
                        lists:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                anyOf:
                                  - type: string
                                  - type: number
                              type:
                                type: string
                              name:
                                type: string
                            required:
                              - id
                              - type
                              - name
                        displayName:
                          type: string
                        notice:
                          type: string
                        isRestricted:
                          type: boolean
                        canRestrict:
                          type: boolean
                        subscribedBy:
                          type: boolean
                          nullable: true
                        subscribedByExpire:
                          type: boolean
                          nullable: true
                        subscribedByExpireDate:
                          type: string
                          nullable: true
                        subscribedByAutoprolong:
                          type: boolean
                          nullable: true
                        subscribedIsExpiredNow:
                          type: boolean
                        currentSubscribePrice:
                          type: number
                          nullable: true
                        subscribedOn:
                          type: boolean
                        subscribedOnExpiredNow:
                          type: boolean
                        subscribedOnDuration:
                          type: string
                        canReport:
                          type: boolean
                        canReceiveChatMessage:
                          type: boolean
                        hideChat:
                          type: boolean
                        lastSeen:
                          type: string
                          nullable: true
                        isPerformer:
                          type: boolean
                        isRealPerformer:
                          type: boolean
                        subscribedByData:
                          type: object
                          nullable: true
                          properties:
                            price:
                              type: number
                            newPrice:
                              type: number
                            regularPrice:
                              type: number
                            subscribePrice:
                              type: number
                            discountPercent:
                              type: number
                            discountPeriod:
                              type: number
                            subscribeAt:
                              type: string
                            expiredAt:
                              type: string
                            renewedAt:
                              type: string
                              nullable: true
                            discountFinishedAt:
                              type: string
                              nullable: true
                            discountStartedAt:
                              type: string
                              nullable: true
                            status:
                              type: string
                              nullable: true
                            isMuted:
                              type: boolean
                            unsubscribeReason:
                              type: string
                            duration:
                              type: string
                            hasActivePaidSubscriptions:
                              type: boolean
                            showPostsInFeed:
                              type: boolean
                            subscribes:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: number
                                  userId:
                                    type: number
                                  subscriberId:
                                    type: number
                                  date:
                                    type: string
                                  duration:
                                    type: number
                                  startDate:
                                    type: string
                                  expireDate:
                                    type: string
                                  cancelDate:
                                    type: string
                                    nullable: true
                                  price:
                                    type: number
                                  regularPrice:
                                    type: number
                                  discount:
                                    type: number
                                  earningId:
                                    type: number
                                  action:
                                    type: string
                                  type:
                                    type: string
                                  offerStart:
                                    type: string
                                    nullable: true
                                  offerEnd:
                                    type: string
                                    nullable: true
                                  isCurrent:
                                    type: boolean
                                required:
                                  - id
                                  - userId
                                  - subscriberId
                                  - date
                                  - duration
                                  - startDate
                                  - expireDate
                                  - cancelDate
                                  - price
                                  - regularPrice
                                  - discount
                                  - earningId
                                  - action
                                  - type
                                  - offerStart
                                  - offerEnd
                                  - isCurrent
                        subscribedOnData:
                          type: object
                          nullable: true
                          properties:
                            price:
                              type: number
                            newPrice:
                              type: number
                            regularPrice:
                              type: number
                            subscribePrice:
                              type: number
                            discountPercent:
                              type: number
                            discountPeriod:
                              type: number
                            subscribeAt:
                              type: string
                            expiredAt:
                              type: string
                            renewedAt:
                              type: string
                              nullable: true
                            discountFinishedAt:
                              type: string
                              nullable: true
                            discountStartedAt:
                              type: string
                              nullable: true
                            status:
                              type: string
                              nullable: true
                            isMuted:
                              type: boolean
                            unsubscribeReason:
                              type: string
                            duration:
                              type: string
                            hasActivePaidSubscriptions:
                              type: boolean
                            subscribes:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: number
                                  userId:
                                    type: number
                                  subscriberId:
                                    type: number
                                  date:
                                    type: string
                                  duration:
                                    type: number
                                  startDate:
                                    type: string
                                  expireDate:
                                    type: string
                                  cancelDate:
                                    type: string
                                    nullable: true
                                  price:
                                    type: number
                                  regularPrice:
                                    type: number
                                  discount:
                                    type: number
                                  earningId:
                                    type: number
                                  action:
                                    type: string
                                  type:
                                    type: string
                                  offerStart:
                                    type: string
                                    nullable: true
                                  offerEnd:
                                    type: string
                                    nullable: true
                                  isCurrent:
                                    type: boolean
                                required:
                                  - id
                                  - userId
                                  - subscriberId
                                  - date
                                  - duration
                                  - startDate
                                  - expireDate
                                  - cancelDate
                                  - price
                                  - regularPrice
                                  - discount
                                  - earningId
                                  - action
                                  - type
                                  - offerStart
                                  - offerEnd
                                  - isCurrent
                            tipsSumm:
                              type: number
                            subscribesSumm:
                              type: number
                            messagesSumm:
                              type: number
                            postsSumm:
                              type: number
                            streamsSumm:
                              type: number
                            totalSumm:
                              type: number
                        canTrialSend:
                          type: boolean
                        isBlocked:
                          type: boolean
                        canUnsubscribe:
                          type: boolean
                        isPendingAutoprolong:
                          type: boolean
                      required:
                        - id
                        - username
                        - name
                        - isVerified
                        - avatar
                        - lists
                  hasMore:
                    type: boolean
                required:
                  - list
                  - hasMore
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '429':
          description: Rate Limit Exceeded
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
      security:
        - ApiKey: []
          ConnectionId: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      name: apiKey
      in: header
      description: >-
        Your OFAuth [API key](/quickstart#2-copy-your-api-key) for
        authenticating requests.
    ConnectionId:
      type: apiKey
      name: x-connection-id
      in: header
      description: >-
        Requires a [connection](/guides/connections) via the x-connection-id
        header.

````